#ifndef EFL_UI_ITEM_IMPL_HH
#define EFL_UI_ITEM_IMPL_HH

#include "efl_ui_item.eo.hh"

namespace efl { namespace ui { 
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<int>::type Item::index_get() const
{
    int __return_value =  ::efl_ui_item_index_get(_eo_ptr());
    return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
#endif
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
    Eina_Bool __return_value =  ::efl_ui_item_selected_get(_eo_ptr());
    return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
#endif
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type select) const
{
     ::efl_ui_item_selected_set(_eo_ptr(),
         ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(select));
}
#endif
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<int>::type Item::index_get() const
{
    int __return_value =  ::efl_ui_item_index_get(_eo_ptr());
    return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
#endif
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
    Eina_Bool __return_value =  ::efl_ui_item_selected_get(_eo_ptr());
    return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
#endif
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type select) const
{
     ::efl_ui_item_selected_set(_eo_ptr(),
         ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(select));
}
#endif
inline efl::ui::Item::operator ::efl::ui::Item() const { return *static_cast< ::efl::ui::Item const*>(static_cast<void const*>(this)); }
inline efl::ui::Item::operator ::efl::ui::Item&() { return *static_cast< ::efl::ui::Item*>(static_cast<void*>(this)); }
inline efl::ui::Item::operator ::efl::ui::Item const&() const { return *static_cast< ::efl::ui::Item const*>(static_cast<void const*>(this)); }
} } }
#endif
